Loading...
Searching...
No Matches
juce::universal_midi_packets::DisconnectionListener Struct Referenceabstract

## Detailed Description

An interface class for entities that are interested in disconnection notifications.

The documentation for this struct was generated from the following file:

- juce_audio_devices/midi_io/ump/juce_UMPDisconnectionListener.h

## Public Member Functions

| DisconnectionListener ()=default
| DisconnectionListener (const DisconnectionListener &)=default
| DisconnectionListener (DisconnectionListener &&) noexcept=default
DisconnectionListener & | operator= (const DisconnectionListener &)=default
DisconnectionListener & | operator= (DisconnectionListener &&) noexcept=default
virtual | ~DisconnectionListener ()=default
virtual void | disconnected ()=0
| Called to notify that the system has destroyed/disconnected a resource.

## Constructors and Destructors

## DisconnectionListener() [1/3]

juce::universal_midi_packets::DisconnectionListener::DisconnectionListener | ( |  | ) |

default

Referenced by DisconnectionListener(), DisconnectionListener(), operator=(), operator=(), and ~DisconnectionListener().

## DisconnectionListener() [2/3]

juce::universal_midi_packets::DisconnectionListener::DisconnectionListener | ( | const DisconnectionListener & |  | ) |

default

References DisconnectionListener().

## DisconnectionListener() [3/3]

juce::universal_midi_packets::DisconnectionListener::DisconnectionListener | ( | DisconnectionListener && |  | ) |

default noexcept

References DisconnectionListener().

## ~DisconnectionListener()

virtual juce::universal_midi_packets::DisconnectionListener::~DisconnectionListener | ( |  | ) |

virtual default

References DisconnectionListener().

## Member Functions

## operator=() [1/2]

DisconnectionListener & juce::universal_midi_packets::DisconnectionListener::operator= | ( | const DisconnectionListener & |  | ) |

default

References DisconnectionListener().

## operator=() [2/2]

DisconnectionListener & juce::universal_midi_packets::DisconnectionListener::operator= | ( | DisconnectionListener && |  | ) |

default noexcept

References DisconnectionListener().

## disconnected()

virtual void juce::universal_midi_packets::DisconnectionListener::disconnected | ( |  | ) |

pure virtual

Called to notify that the system has destroyed/disconnected a resource.

References disconnected().

Referenced by disconnected().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited